#Card = Struct.new(:name,:health,:damage)

module CardGame
    class Card 
        attr_reader :name
        attr_accessor :health, :damage
        def initialize(name,health,damage)
            @name = name
            @health = health
            @damage = damage
        end
        
        def <=>(other)
            other.health <=> @health
        end
    end
    
    
    module Cards 
        
        giant = Card.new(:giant,300,10)
        goblin = Card.new(:goblin,100,15)
        bowman = Card.new(:bowman, 125, 8)
        cat_burglar = Card.new(:cat_burglar,150, 12)
        honkerdown = Card.new(:honkerdown,400,12)
        sniffers = Card.new(:sniffers, 200, 8)
        
        CARDS = [giant,goblin,bowman,cat_burglar,honkerdown,sniffers]
        
        def self.random_generator
            yield CARDS.sample(3)
        end
        
    end
end